Loading...
Searching...
No Matches
tea.h File Reference

Public header for libavutil TEA algorithm. More...

`#include <stdint.h>`

Go to the source code of this file.

## Functions

struct AVTEA * | av_tea_alloc (void)
| Allocate an AVTEA context To free the struct: av_free(ptr).
void | av_tea_init (struct AVTEA *ctx, const uint8_t key[16], int rounds)
| Initialize an AVTEA context.
void | av_tea_crypt (struct AVTEA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_tea_size

## Detailed Description

Public header for libavutil TEA algorithm.

Definition in file tea.h.